@mixin cursor {
  cursor: pointer;
}

:host {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 14px;
  color: #333;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.sudoku-header {
  text-align: center;
  padding-bottom: 10px;
  border-bottom: solid 1px #000000;
}

.sudoku-container {
  display: flex;
  justify-content: center;
}

.number-container > p {
  border: 1px solid #000000;
  border-radius: 20%;
  width: 60px;
  height: 60px;
  font-size: 40pt;
  margin-left: 50px;
  margin-top: 5px;
  margin-bottom: 5px;
  text-align: center;
}

.board {
  padding-top: 10px;
  margin-top: 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-content: flex-start;
  width: 600px;
  height: 600px;
}

.number-cell {
  @include cursor;
}

.tile {
  @include cursor;
  border: 1px solid #000000;
  width: 60px;
  height: 60px;
  text-align: center;
  margin: 0;
  vertical-align: middle;
  font-size: 40pt;
}

p.selected {
  background-color: lightblue;
}

p.incorrect {
  background-color: red;
}

.rightBorder {
  border-right: 4px solid black;
}

.bottomBorder {
  border-bottom: 4px solid black;
}

.won-block {
  position: fixed;
  top: 50%;
  left: 38%;
  background-color: green;
  color: white;
  width: 300px;
  height: 55px;
  text-align: center;
}


p {
  margin: 0;
}

.card {
  border-radius: 4px;
  border: 1px solid #eee;
  background-color: #fafafa;
  height: 40px;
  width: 200px;
  margin: 0 8px 16px;
  padding: 16px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  transition: all 0.2s ease-in-out;
  line-height: 24px;
}

.card.card-small {
  height: 16px;
  width: 168px;
}

.card-container .card:not(.highlight-card) {
  cursor: pointer;
}

.card-container .card:not(.highlight-card):hover {
  transform: translateY(-3px);
  box-shadow: 0 4px 17px rgba(0, 0, 0, 0.35);
}

.card-container .card:not(.highlight-card):hover .material-icons path {
  fill: rgb(105, 103, 103);
}

.card.highlight-card {
  background-color: #1976d2;
  color: white;
  font-weight: 600;
  border: none;
  width: auto;
  min-width: 30%;
  position: relative;
}

.card.card.highlight-card span {
  margin-left: 60px;
}

svg#rocket {
  width: 80px;
  position: absolute;
  left: -15px;
  top: -18px;
}

svg#rocket-smoke {
  height: calc(100vh - 95px);
  position: absolute;
  top: 10px;
  right: 180px;
  z-index: -10;
}

/* Responsive Styles */
@media screen and (max-width: 767px) {

  .card-container > *:not(.circle-link),
  .terminal {
    width: 100%;
  }

  .card:not(.highlight-card) {
    height: 16px;
    margin: 8px 0;
  }

  .card.highlight-card span {
    margin-left: 72px;
  }

  svg#rocket-smoke {
    right: 120px;
    transform: rotate(-5deg);
  }
}

@media screen and (max-width: 575px) {
  svg#rocket-smoke {
    display: none;
    visibility: hidden;
  }
}
